80e28a00ec
- unmodified_drivers: handle IRQF_SAMPLE_RANDOM, it was removed in 3.6-rc1 - bnc#778105 - first XEN-PV VM fails to spawn xend: Increase wait time for disk to appear in host bootloader Modified existing xen-domUloader.diff - Disable the snapshot patches. Snapshot only supported the qcow2 image format which was poorly implemented qemu 0.10.2. Snapshot support may be restored in the future when the newer upstream qemu is used by Xen. - bnc#776995 - attaching scsi control luns with pvscsi - xend/pvscsi: fix passing of SCSI control LUNs xen-bug776995-pvscsi-no-devname.patch - xend/pvscsi: fix usage of persistant device names for SCSI devices xen-bug776995-pvscsi-persistent-names.patch - xend/pvscsi: update sysfs parser for Linux 3.0 xen-bug776995-pvscsi-sysfs-parser.patch - Update to Xen 4.2.0 RC3+ c/s 25779 - Update to Xen 4.2.0 RC2+ c/s 25765 OBS-URL: https://build.opensuse.org/package/show/Virtualization/xen?expand=0&rev=199
47 lines
1.7 KiB
Diff
47 lines
1.7 KiB
Diff
Index: xen-4.2.0-testing/tools/hotplug/Linux/init.d/xencommons
|
|
===================================================================
|
|
--- xen-4.2.0-testing.orig/tools/hotplug/Linux/init.d/xencommons
|
|
+++ xen-4.2.0-testing/tools/hotplug/Linux/init.d/xencommons
|
|
@@ -60,21 +60,26 @@ do_start () {
|
|
local time=0
|
|
local timeout=30
|
|
|
|
- modprobe xen-evtchn 2>/dev/null
|
|
- modprobe xen-gntdev 2>/dev/null
|
|
- modprobe xen-gntalloc 2>/dev/null
|
|
- modprobe xen-blkback 2>/dev/null
|
|
- modprobe xen-netback 2>/dev/null
|
|
- modprobe xen-pciback 2>/dev/null
|
|
- modprobe evtchn 2>/dev/null
|
|
- modprobe gntdev 2>/dev/null
|
|
- modprobe netbk 2>/dev/null
|
|
- modprobe blkbk 2>/dev/null
|
|
- modprobe xen-scsibk 2>/dev/null
|
|
- modprobe usbbk 2>/dev/null
|
|
- modprobe pciback 2>/dev/null
|
|
- modprobe xen-acpi-processor 2>/dev/null
|
|
- modprobe blktap2 2>/dev/null || modprobe blktap 2>/dev/null
|
|
+ #modprobe xen-evtchn 2>/dev/null
|
|
+ #modprobe xen-gntdev 2>/dev/null
|
|
+ #modprobe xen-gntalloc 2>/dev/null
|
|
+ #modprobe xen-blkback 2>/dev/null
|
|
+ #modprobe xen-netback 2>/dev/null
|
|
+ #modprobe xen-pciback 2>/dev/null
|
|
+ modprobe evtchn 2>/dev/null || true
|
|
+ modprobe gntdev 2>/dev/null || true
|
|
+ modprobe gntalloc 2>/dev/null || true
|
|
+ modprobe netbk 2>/dev/null || true
|
|
+ modprobe blkbk 2>/dev/null || true
|
|
+ modprobe xen-scsibk 2>/dev/null || true
|
|
+ modprobe usbbk 2>/dev/null || true
|
|
+ modprobe pciback 2>/dev/null || true
|
|
+ modprobe xen-acpi-processor 2>/dev/null || true
|
|
+ modprobe blktap2 2>/dev/null || modprobe blktap 2>/dev/null || true
|
|
+ # xenblk (frontend module) is needed in dom0, allowing it to use vbds
|
|
+ modprobe xenblk 2>/dev/null || true
|
|
+ # support xl create pv guest with qcow/qcow2 disk image
|
|
+ modprobe nbd max_part=8 2>/dev/null || true
|
|
mkdir -p /var/run/xen
|
|
|
|
if ! `xenstore-read -s / >/dev/null 2>&1`
|